Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class Scheduler.Listener

    java.lang.Object
      |
      +--org.jboss.util.Scheduler.Listener

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener

Enclosing class:
  Scheduler

public class Scheduler.Listener
extends java.lang.Object
implements javax.management.NotificationListener

Constructor Summary
`Scheduler.Listener(Schedulable pDelegate)`

Method Summary
`void` | `handleNotification(javax.management.Notification pNotification, java.lang.Object pHandback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scheduler.Listener

    public Scheduler.Listener(Schedulable pDelegate)

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification pNotification,
                                   java.lang.Object pHandback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.